GNU logs - #53200, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Campbell Barton <ideasman42@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 12 Jan 2022 04:57:01 +0000
Resent-Message-ID: <handler.53200.B.16419633836061 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 53200 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16419633836061
          (code B ref -1); Wed, 12 Jan 2022 04:57:01 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jan 2022 04:56:23 +0000
Received: from localhost ([127.0.0.1]:56015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7VgM-0001Zh-Pu
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 23:56:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:49360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ideasman42@HIDDEN>) id 1n7VgK-0001ZZ-Sl
 for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 23:56:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41502)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ideasman42@HIDDEN>)
 id 1n7VgJ-0007ic-0z
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 23:56:20 -0500
Received: from [2607:f8b0:4864:20::62d] (port=35427
 helo=mail-pl1-x62d.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ideasman42@HIDDEN>)
 id 1n7VgH-0005yD-8M
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 23:56:18 -0500
Received: by mail-pl1-x62d.google.com with SMTP id u15so2421766ple.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Jan 2022 20:56:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=0n1EL33kuZNgRiQynf/JAf2t893nRZdryxUVHaApU8A=;
 b=HPaCkFhej82CYocXBeHp22CCFUAMAIqM7h0y3Ihdg9oqSJ8ufqs+dkx/GztCHlnOK2
 iqN3muxf09x+QkiQedFEMfQhvFfcg7OKNvDkjRQSsDCySIdn34/fKtplQxPP8pFASPY+
 eGGlsQ+hGHiboAzN/HLay7LG4oexSkVdDrG559zoN+3iLlPhjCczk4S5fGWHBxsSxC7b
 q7016A4/ugehlVMxtBkM1d8nsms2BnQY6fG5lYFbXD+jfXqBfzyql/Qv5Wa2wuYneUcV
 MRXjwy/BO5MY6Dw93/04/KD+VJM/RfkOsTAOrQBYnoJmMiBkifSpWlENSu/jLKizEzBz
 yt8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=0n1EL33kuZNgRiQynf/JAf2t893nRZdryxUVHaApU8A=;
 b=ziKf6zN4SohNV+DRxyZFN9cWOKrHrsB+fmzA+u0Awz/kbrR1q6MEy2jHo90PcDKnAN
 qgCO1CrAbY5j2IqWahR0+/qG/3H1bOhAG/aHFpIU6yLYuQDidTs8KR+VFEGmxUuH1nSA
 f67bkXJD9xYTWssE7kvP3KfDWT/ZzmjZCDucR+07+5CsTY23J6ihl4rHdJdyKM4xX+Vj
 y3iqYdM41qQFwr1K9G9zQwJUmHJ/gXV7VFFJDNIprwY8IO94xOR5yE3j2+SOTeVW2+ql
 1mu++ZEvhIi0WGIRY81cozxZczWg92Iogm2iNn9dgDVYJjyb8HhSSpzWq00c6TGLwvBK
 cinQ==
X-Gm-Message-State: AOAM5332PCpf99CvVwUaZcsTIy0J1iD4KUUcIdxV8gLtySebCrOP4ie8
 JdzHs1bs9iIVsCFhxRP3TpD2+ifW5RMfrwRTurTsnJqiVJpduw==
X-Google-Smtp-Source: ABdhPJxX7yULNxY67EU4IlxPKiNPtGBIoFT8Tn04pEvywswwGhUU4p2opAa/V/hdo+4KKdD2p78+BdsoYnpMolFru3M=
X-Received: by 2002:a17:902:8e81:b0:149:8f60:a52a with SMTP id
 bg1-20020a1709028e8100b001498f60a52amr7472275plb.145.1641963374435; Tue, 11
 Jan 2022 20:56:14 -0800 (PST)
MIME-Version: 1.0
From: Campbell Barton <ideasman42@HIDDEN>
Date: Wed, 12 Jan 2022 15:56:03 +1100
Message-ID: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::62d
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::62d;
 envelope-from=ideasman42@HIDDEN; helo=mail-pl1-x62d.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

With PGTK enabled (--with-pgtk) the following occurs:

- Press C-S-u
- Press a

The character 'a' is entered.

Without PGTK enabled, the following occurs:

- Press C-S-u
- Press a

The character 'aaaa' is entered 4x.

Note that PGTK seems to swallow this binding, since it's not possible to
check what the shortcut does by pressing:

C-H, K, C-S-u

Which reports without PGTK: (universal-argument)



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.31, cairo version 1.17.4)
 of 2022-01-12 built on austpc
Repository revision: 8555a3e1ed1d34cbaa172bde86eb3b11a1cd7940
Repository branch: master
System Description: Arch Linux

Configured using:
 'configure --prefix=/opt/emacs --with-sound=no --disable-acl
 --with-file-notification=no --with-xpm --with-native-compilation
 --with-jpeg --with-tiff --with-gif --with-png --without-rsvg
 --without-lcms2 --without-libsystemd --without-gsettings
 --without-harfbuzz --without-m17n-flt --without-libotf --without-gpm
 --without-dbus --without-gsettings --without-gconf --without-selinux
 --without-gnutls --with-pgtk --without-makeinfo --without-libgmp
 --with-zlib --with-compress-install --with-threads
 --without-toolkit-scroll-bars --with-x-toolkit=gtk3 --with-xft
 --with-modules 'CFLAGS=-O3 -mtune=native -march=native -pipe
 -fomit-frame-pointer''

Configured features:
CAIRO FREETYPE GIF GLIB JPEG JSON LIBXML2 MODULES NATIVE_COMP PDUMPER
PGTK PNG SECCOMP SQLITE3 THREADS TIFF WEBP XIM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
dynamic-setting font-render-setting cairo move-toolbar gtk x-toolkit
pgtk multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 45508 6842)
 (symbols 48 5609 1)
 (strings 32 18557 3267)
 (string-bytes 1 622864)
 (vectors 16 10816)
 (vector-slots 8 157953 15748)
 (floats 8 25 28)
 (intervals 56 255 0)
 (buffers 992 11))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Campbell Barton <ideasman42@HIDDEN>
Subject: bug#53200: Acknowledgement (29.0.50; C-S-u shortcut fails with
 'PGTK' enable)
Message-ID: <handler.53200.B.16419633836061.ack <at> debbugs.gnu.org>
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
X-Gnu-PR-Message: ack 53200
X-Gnu-PR-Package: emacs
Reply-To: 53200 <at> debbugs.gnu.org
Date: Wed, 12 Jan 2022 04:57:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 53200 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
53200: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D53200
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 12 Jan 2022 06:25:01 +0000
Resent-Message-ID: <handler.53200.B53200.164196869427526 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Campbell Barton <ideasman42@HIDDEN>
Cc: 53200 <at> debbugs.gnu.org
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.164196869427526
          (code B ref 53200); Wed, 12 Jan 2022 06:25:01 +0000
Received: (at 53200) by debbugs.gnu.org; 12 Jan 2022 06:24:54 +0000
Received: from localhost ([127.0.0.1]:56073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7X42-00079t-4Q
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 01:24:54 -0500
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:38853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n7X3y-00079X-T4
 for 53200 <at> debbugs.gnu.org; Wed, 12 Jan 2022 01:24:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641968684; bh=hm0rbjjkl6e0mYl4YFpyeBwhC6v/lwoEsle0k4Pu+PU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=FtVGjuDXCN+5rRXVx+ZQjYbxkVFbyDqw8cZg7pmlFinML/7kmQ41w+BR3xvxRGse/zwdHloqrSBALt9HHXDvIKZYGmbkIfhh68lTA84e8wr4/SjVMHnYPYw3STe7xDvpshx/khWI5eXDoctISHvfTuM9hBUfrsGZ80HJR63C2ugI87CpCuN+UrWgtwVKPajZHnx8k56ujm+F65EOdLmjO/PDmwDu+dkYU4mXPxWijhDUCqZFm/gJ/9moZHR5Je//sxFCkn8V9gUr6ryQ8JQqkt/Qyd6mGpqWNOns9CZGuKPWeRw+H0g5eRvLM706McB1V0d0RjOPdP6IDgN8/L2ilw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641968684; bh=n09Tpe5wMsy9Ko8/cPYxhYWghJlMdrdZmhi9+2xZfQN=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=h5R1zNOnCw+5AxBsdR6VRmNk/M1uhqN4RtxvbafMxaSAVDnHOBc2wRz3y3BJjDFIfQin6r6QWGUQBRrN3vaYiYjvK+JEWb4NQuPzBTSINo1X/ShxKqF15QGitY5wU30d7asiy8aXIMutRaQ9cJALpe1+9JW0esPou94GLrk+fZejyM48dBgo5RlmUgRnPiP931l7dHt5fWMrInIOrdonohrA7ylMocNfJMcfo/TGEXnNXBVRurau3SUK8jtDklNZEwn8boEe7G7v6aalnAKB6ZlASMQcRRVHqlN6y45Y91mEwgtIvYzZxzzjHMh4XL5V8NZUEXlR4H3NWxFhIzoTXw==
X-YMail-OSG: IRHOwdoVM1lKa13T.uWVXyXZcXCU6dzVzLhzoqMm45ZaHVlPl5nZ_VL0IaP9.KH
 Lgs0hvPlVTRotlVOjA_6MIgFoFpIHYLP4h7kuJtRd7D1i8ykGfnjLVx7XoRVAtq_GmXxt6xfPoQq
 .JDMCZCPujnklmYYT1eDCJY9fGNNqls7x.MSUiytwb4CmLKhTiBxZpcTXS0dxHhuOFodhTszOw4P
 zTx_K9UfclLxX8spCuFYlQfRR5iswtTrd6U_gND57qxjFQ9bjjS96ibSYq0vIzz_1ctxFpu2psG_
 C82GLzaqa4qEuwNwJuc7lqtZ8EdCCuLL_BTrL9N.cLe6Etu_JaRLFzOishppeLZsAvfcSAjDue3E
 .wd7jjDTTqkd8NnV74VF8OaJQhQYQScpDuY0gGm_IiyB_VZwh.kG2sjEF3qy_2dR5SP1DKfSw8p0
 wH5_Xvbt_2aiTjuTriYoyl8jJrWghuZ0O1uRmjx.gAYruf1EBIZrV11KKJNB582lcuGgO9nVLB8h
 fSbcAdG1na5fbMZD3EBjbMAUM2YhcdYVncxnuRn_cQ_YIg0vV47f_d51GG_yXtr5jFH78IGCgtYW
 9IuzXKcto.ToRHm35zk33TQ3QMZ_Vr3soLRnaNk1Or0XiyryYTWw2jT0PBGy_hXHu_6.Tm4ujQSk
 u3ngreX0uH4OWv6ejYiAAjW7nyzJ97UOA0_Yrc3mr7Q_fTnK18QlYaMLN788l3wWq.UfZiwKmwqF
 mtZdPrzVHXv2GRvZBkokskrumsHrpucUYGjaYbJprqy8lUWyaSH41ZrkCd77RPl1dBoV05Gyo7hV
 mWtlLlTvZM1E12ZELuwI75sm1022McMHSWmTrQrd6zpSTHZHJU4dRNnE_jyUEyKvo6BC_7QSYyOU
 T3NIM19SqgxRRXN1zh2metWkYpXOBnwQmlB0iNE1yODkVLbrEUcU2fvxK.tYq6XWu85G4I6ppnfb
 6820TtgeQcQS_OVfgVvGiKKhqFOJzdhrCPH5vOMINJN00MUApD7HZ0nP2CqYKKl8fOzUwBNzxkS5
 PnYyzW5jGbta.8gJ.lK8YZeKhFuY6o39ZUZohHAxHP2SN_lFZ7ZmELndJAjXWEobmdf8JTyh.1a_
 ZWf.2N3D3Dzz0ryBdxLJKMdnN1TtMyDul_fXOAcLYIpPFwaCJ6QD0khbCRJbuit7FJReAxFk9ixx
 srhWrgNR4zhcAxeBYU63hmL9qnGBx0JYJF9wpuWvBgI7D8x_oRgX9pjeUF9.je9S.wsSkLF6zijJ
 6WJTKhT37MKdzsy41J2DTrAZkRa04RghJQ9Nagii8SV1.jPQienBT7_rfEAa1EWzBPN0FsOpYdCx
 zcq.s4V7eoRVHB2Se_oDpxeuBl33Gk.viO3g5W9PO5LodnmP1VeKbeoRqlNS_WunwvayAzpc7kKm
 dJFnlT24_D5yWSxxqJxEOh.eORADEypyN5zMSvXbttfMkLZtOECcmLceKM6rKsINBMyxjLa4w26h
 8Kuj.SIYm98SGdonl2SC5Moo5Y3.70yR9M2uxJlZl3CzFHXosVPSRsgn430s4Uh2pWjOTEJ4fk9p
 dJHyIlM2SwqHs7OVwbOOQSdBJg1M85ixQEO_3qn94yrZzdNIvikquDoxdbJsl9mPYnZlx_lS0dlP
 PPs0lQvaz4_QOK9peJ_Gja9g8YpftmyXBlxZzfyOK2XOb8P4cOGnHXRtpE_86kJ9Y8tr4BG_sp8i
 g3jET_p9ygZ3VjF6d_J84Iow_pUD5Tux_5VcMXUG3CnU0nPAAZ6F09o4rJ9NOQPUyDf3q2Wi.QK0
 jYfjACbPvr0ExKnNh1trNEhXwuUIYKSsFSXYCj7TWnqMpOUkBwTo4H.eEwRfTT.soXc9S1G1hnj0
 M8ToaWLcwrq_6FyOBh4zqhsgAeGBL6YcVvCN9NfnCxKrxn8kqUQV9igzn2dHKhFRWxFPbrzl6OCT
 2S5vKd8dAgIsmf6Q_Dx2.Vz.tSq2LkOBevFSyPEoyNWClAIjSeE.NduJMj_KK4aHvaGEiXNYRj1P
 RcS3KMEqa.tGOL9LMaLdBe1pmX2NyQyMvAmZEqWMX0em3KqLFedasLS3OL6yUSjOZOO.s2I1Cr3a
 gTUJq5Q3JwyReSExLR.QOa2aHdUHqHvC.8s7L54QFM055Qa0reIjwBmDrbIsrOZQympZecrwUbBV
 tfTZrEo6JsZs8hU4sNNUPSce.0f.AkxktmAQb_6he8u1oIGZbw..asOpUZ6ZmPr4KH141wYrPaxV
 d5wX49GhA43bpiRq1c7j31gCTvICYcgLsNLMLbiwiZF_PVB64D0K2JgiLsg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Wed, 12 Jan 2022 06:24:44 +0000
Received: by kubenode512.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bfb8bed231f13e4c213b938055c7383c; 
 Wed, 12 Jan 2022 06:24:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Date: Wed, 12 Jan 2022 14:24:35 +0800
In-Reply-To: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
 (Campbell Barton's message of "Wed, 12 Jan 2022 15:56:03 +1100")
Message-ID: <87r19dsc7w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1312
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Campbell Barton <ideasman42@HIDDEN> writes:

> With PGTK enabled (--with-pgtk) the following occurs:
>
> - Press C-S-u
> - Press a
>
> The character 'a' is entered.
>
> Without PGTK enabled, the following occurs:
>
> - Press C-S-u
> - Press a
>
> The character 'aaaa' is entered 4x.
>
> Note that PGTK seems to swallow this binding, since it's not possible to
> check what the shortcut does by pressing:
>
> C-H, K, C-S-u
>
> Which reports without PGTK: (universal-argument)

This has been reported at least twice already.  Someone should volunteer
to find and merge all those bugs, but in short: most GTK input method
modules stupidly eat the shift modifier, and the only workaround is to
disable the use of GTK input methods by setting `pgtk-use-im-context' to
nil.

This is really a bug in the various input modules and should be reported
to their developers instead instead.  If you're using ibus, for example,
complain to ibus developers about their IM context not setting the shift
modifier mask in an event sent by the filter.

Alternatively, you can use the regular X build, which is a much superior
experience over the PGTK port as long as you're not using Wayland.

Thanks, and please let us know about the progress of your complaining to
the IM module developers.  It would be greatly appreciated.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 13 Jan 2022 07:09:01 +0000
Resent-Message-ID: <handler.53200.B53200.164205769827981 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Po Lu <luangruo@HIDDEN>
Cc: 53200 <at> debbugs.gnu.org, Campbell Barton <ideasman42@HIDDEN>
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.164205769827981
          (code B ref 53200); Thu, 13 Jan 2022 07:09:01 +0000
Received: (at 53200) by debbugs.gnu.org; 13 Jan 2022 07:08:18 +0000
Received: from localhost ([127.0.0.1]:59845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7uDZ-0007HF-Qy
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n7uDY-0007Gt-1x
 for 53200 <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vKHWmYqnE5JKQgtq4/IMYqPhNz2TUTveSBIGUOAlnOw=; b=iQFtqL6cSmdcxPkCXipjEJPLHB
 hXBsTTR5NhKKf2dGHNwXo79bmXj59e38SBhLbL0VplNnHfsPcK/TicgYaiqU2AJdIPSmDM/drbYq6
 QK+v5V5iyY5XM6J3GBcNqCtDF1BXg/wX7eRIVvF9rBTGZDEs6UTThqq077wDNA6e3nZw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n7uDO-0008O4-Oa; Thu, 13 Jan 2022 08:08:09 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
 <87r19dsc7w.fsf@HIDDEN>
X-Now-Playing: Suicide Romeo's _Pictures_: "Pictures"
Date: Thu, 13 Jan 2022 08:08:04 +0100
In-Reply-To: <87r19dsc7w.fsf@HIDDEN> (Po Lu's message of "Wed, 12 Jan 2022
 14:24:35 +0800")
Message-ID: <87iluo865n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Po Lu <luangruo@HIDDEN> writes: > This has been reported
 at least twice already. Someone should volunteer > to find and merge all
 those bugs I found bug#49211, which seems to be the same problem, so I've
 merged this with that one. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> This has been reported at least twice already.  Someone should volunteer
> to find and merge all those bugs

I found bug#49211, which seems to be the same problem, so I've merged
this with that one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 13 Jan 2022 07:08:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 02:08:24 2022
Received: from localhost ([127.0.0.1]:59848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7uDg-0007HY-0u
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n7uDe-0007HE-GX
 for control <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+ZLJRy+fAqZegpBcKP9Pm0N0eux7OtpEQTvxOZMeDsM=; b=G8rxFfvBYCyybor3Sn/Hvo9MMp
 oaZ0pTGj4vBkLVroQjF+QHMkXSizPBWrlPdMpPaFWPjc2RB6bxNSGjrKu3A2t2/29SQCCrCjXKo/D
 ej6MBAoYx0SrTfI4kZznzrMVCRUKXEpFCf6vh5ORGnS83SpOtQENJwQ0gUX2muDeB+Q8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1n7uDW-0008OE-FD
 for control <at> debbugs.gnu.org; Thu, 13 Jan 2022 08:08:16 +0100
Date: Thu, 13 Jan 2022 08:08:13 +0100
Message-Id: <87h7a8865e.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #53200
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 53200 49211 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 53200 49211
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 13 Jan 2022 08:06:01 +0000
Resent-Message-ID: <handler.53200.B53200.164206111019639 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 53200 <at> debbugs.gnu.org, Campbell Barton <ideasman42@HIDDEN>
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.164206111019639
          (code B ref 53200); Thu, 13 Jan 2022 08:06:01 +0000
Received: (at 53200) by debbugs.gnu.org; 13 Jan 2022 08:05:10 +0000
Received: from localhost ([127.0.0.1]:60018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7v6c-00056g-2S
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 03:05:10 -0500
Received: from sonic312-23.consmr.mail.ne1.yahoo.com ([66.163.191.204]:39281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n7v6Z-00056A-Ef
 for 53200 <at> debbugs.gnu.org; Thu, 13 Jan 2022 03:05:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1642061101; bh=nQmn9MJEPYSLcRrW21/ALmTZNRufKInerFb8hsNzJt0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=fOTNhCagi0BDxXfa0SPN9fEVNPee42kOqSpa4/BQ5RAqSpgWzoskGombFDuQpI5lDLFctdL3I93Ut15sYDo72e7V4sz14i3UFJ4u7847/qtpVhJyR3e7FLTawwvM/H31/bR4oj6qouOelnKovHyPTCRqJmSX4e3mwpOEJaQRvyf0twJTfV6DSiZAijCiSxypK8DY9WpwbvrTV8RZMyziI5ZlbnYG42svJjtpNZo+hwlHtym11guuDInsYntv755osoWz1khkuMluSs+ZNHfMmmPXPxMWtQjr7jjHgKLpxJqSFcHASGeBcp7PAVj4gkOqvlhWQ7roYXUY6pKU/Fj6uw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1642061101; bh=Oip3DIY3yVJhPx9vJctfphJRrz7J6mhs0VXD8aRQI+i=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=uaGHIg4wcs3RKDHsJ9FBLyemksAMrmqh0xayVKW4saxcfE6YYZzm4dlxZp3bIRluZP9J6VepqvfKtQq3hAc9Ej2RMzorOlqLpYQpPQfLsdPXzwDK9/MajUItyza8RtibD1QU75M+LRN8lTSCvdUhQm8l75ZbXi5fvCgnADIY77foI+WqAPz5GCgpqghyA77QISUxA3KmGgncDLDKdmIAzqjnfENSpq3hp+u/VMpVgeYBM63XTZC9EugSYT1Oo23rquWvra89jxg7Ff3bBJV4potUYXwv2XFcZXkTt+si7F+sc+Xu/JQqSTHTsfuzko5JU09RVXHvpXyzYdmrPRdMzQ==
X-YMail-OSG: C9w.0E0VM1mSu9CbSoyyxhco2DYUdeVXsut3dfWtRuEHUkjVDMxzo3yPKReI4EP
 ZZo_C_lsGHUhdyK_VlUK2PMzpzsNLZimmJ46Im_TzIb.UIZObmARqdZh0Qdlt_Dt6.kL7rrSN3nv
 H5ilOokYCbuCzhXYukbW_F_0XP5K7oOzLTmcMlmLIpeC4pjcOFIKTh5g_bTU3oQX53EalzXEQ2yl
 4obBLTnntSlrbxMLXhXFQpJ_ZSYSA9ol2cU6CD8iu4e0DVVcV6W6buBjQjchJarN4hbCMq_ghjvZ
 7.mhKIDjYdmzARqkFw0v3qwlF47u3E2nrIsrAwAOdrELHP4j38D3yJthaNhQ4oOlBSR2lwloNwf4
 6uuUd64G36OVKfUmCacxBV9a1jbA9lOfNKLi6Z7veTiGsq1tvjrs2OE9bUd6q48S2XaYdsHovJHu
 fn.afj0c_Yx6iQB.h_gNu1KodKHmEyFsD2MforALqngeIRJ4IQgS0G3gx6_vhU8ni98Zyo7e.lNa
 G5AM7.mC4QCgm2K.8iCOA7DDa9ESGv_lPbjSbOr8VzV.v6K6VLM9oTuJom0DLhfzEYQUc5FiDVZQ
 IpS5nflcMREJQjDRJSsOJJ3AGLsmYHNnTklgWhKjGhUgPXXVOl6ykFkdBG3jIgifXEghg3Ybr4ni
 nxsvq7kAHfYsqJbmUP1Se5kB_G73s50pmM7EeorjT.YJwl7tx22bUyCyKpP4Wffyg9Ueq.1EvB0S
 kAy_.iTy9sC7flderz50fg6bVFrGxu9a2BFdEecc4iY5O27JmZAgnZoPjI7RSe27tUv4UO9wU9Rq
 gXdv79aWWz4RWJFUxJUTa41Y.BFPm2sWy.2b7zVfadGhbZFeiR.str2TXWQ58oW.tjNdUg6OptBW
 .LjJOKbtL27wqwEEcmzb8IBmG_sc2Qo4urbyNMHtr7uQ13Agee0kPeMJSnpvAyiOMX8SP9dEX0Hj
 k2B3lRqaXyEJTN1m8GyfxnY14bZiplEf1XKUpZuI6QQpt0AwshW9AA0mCHztSBcUdQg2XWHjRe.j
 rxI_VHEq9jbCQagAwF.Z7jf69uMhtasupmOjIGthPY16vkMDXvaQe1Ava5Zbckkd0V.BzwAfG24A
 FbFfc71jq6usWMfcjfaSmWELrHqmGenQcKB7n_gWZS6AtEUfcwUpM8CLbp3l7KN4j3Mhb7JA9Al.
 YuJmH.fZKZ0IS9o7yyxCwWL.bE5KoMdh5ugufOtKhgHHf4LOQD_legGCPiBsgfqKalO26tU3fIm5
 _N0vz6FcWZflS4o6vmXbmIR7gUNLAaNrF6k97a49YZZPogIObbBw2DX6kG2fHfhB8TY5_RxU9fsH
 7LAgX6LQjBfxHloKolK5kF6C2Lwx9F4WsU_aqO.I9W7W7reWmHF9RKfiUMFU71AcevI5G3aMrF7d
 _8P.BDlKkzr2LObuyp.TVPQPavHt832P10.fmIHRvzq_D5VmpOvo92GhfOsoHBUouAu9QDCTzXLy
 HFGIGVugNmxuxKcepCwRsOaZy23ThJAU9P06rYDUzwSaQvee2vR4gqdd3VzFh4k_xkHQJSmpeP94
 vL.kGlaGO0mnWEz_7_tGgR.TA49fFRymRV_VZQAYB9E2sLlwRSrQGsusQZH4S4nRfP6bJRhmUcr7
 MVG.Ve7ip_6lpZzuEKh7sxnenOYS.QRopwydYGWuTqsHuduETlhftobovn0A6em89pawc0ydAgIc
 k5z3Amx_clKc4dqCALO._wgX5fAWlemt9WL0UbQawfflRmxiNnzrxd_jhkzjImfnlOcM2fA2eQVI
 Bcyp8h72J.UcXb9e6JFOWYuUnFyuK23_3ay5tbckv0SOhswpavuuB215SsFHQVIboB8s_HGu0peS
 Oo3l.l_C4zasC2mJjf08wsLx0eCR_DX1MDEspscsrqktbOWici_GtvHg8FN.s5XQ8O2UgJ9x6P5z
 xzPpNjcfO8CwgFYmu1B9nyvS9XD_Sv5Hy0GeyDwvJInhWX5JClxfllM6mSLrOLqOWjm_hmm652N7
 fgbz_pOBiW9AomUqBoFwiwP32WG.qh3Hxz4BfG575Rc5XxDucBQcG32RIv756Nk7F.NECKbKc12X
 wwCONpTmbBUZ8TKZ7Rl.e6Ud8_5eAfI1ix4z1aL6Cg7_Defs3JqAL1n93SKSYiQOKFtXjBe8GndR
 QMd4CBQ2OoaR9MkL0mv75YjgqcOXLNeaBSt2jkia.SC_9fvpCteQVsyfJe.hdyo0UtHhqF9dCS1c
 M1OK8tHg3PrhZNpFMzhk_uM67fl4x0jjZbV.9GqeGPDrkoWf5DHxqYQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Thu, 13 Jan 2022 08:05:01 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 910bbc099658b88bec1eab747834bda8; 
 Thu, 13 Jan 2022 08:04:58 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
 <87r19dsc7w.fsf@HIDDEN> <87iluo865n.fsf@HIDDEN>
Date: Thu, 13 Jan 2022 16:04:50 +0800
In-Reply-To: <87iluo865n.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 13 Jan 2022 08:08:04 +0100")
Message-ID: <875yqoqcwt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19594
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 154
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I found bug#49211, which seems to be the same problem, so I've merged
> this with that one.

Great, thanks!




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
In-Reply-To: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Resent-From: Morgan Smith <morgan.j.smith@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 15 Apr 2022 02:02:01 +0000
Resent-Message-ID: <handler.53200.B53200.164998810311932 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 53200 <at> debbugs.gnu.org, luangruo@HIDDEN
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.164998810311932
          (code B ref 53200); Fri, 15 Apr 2022 02:02:01 +0000
Received: (at 53200) by debbugs.gnu.org; 15 Apr 2022 02:01:43 +0000
Received: from localhost ([127.0.0.1]:57710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nfBHL-00036O-BH
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2022 22:01:43 -0400
Received: from mail-mw2nam10olkn2040.outbound.protection.outlook.com
 ([40.92.42.40]:15127 helo=NAM10-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <morgan.j.smith@HIDDEN>) id 1nfBHJ-000363-I2
 for 53200 <at> debbugs.gnu.org; Thu, 14 Apr 2022 22:01:42 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=F5t7zHbCl1lxoxtcxramvoRXuyo0foJxP9P5wpWY8jI+v4h+rPxbkr+fcSbZjnwMt58W/x6NBCTg6MVN7SiVHTkOfelbwkCRkw/9fVXpCjSRDp7Oj5ItfdsYG+vcuU4BSNC1i87JlFCQMYwHH7NqZ0L3QeHqECFkaC8xEjx+at1xsR6BOqUMt+3HbfN1dxePjihjzSkfw3ycsBZIqSbdIeNaJbW/Mco2e3KcTQKK/wiz7ryLoUxQ/6ap4TQSmHyHOJ9x/D0dd7Y0SM2z/MTMMeuh12jCHejXVE+5QpQq5f/l/oMCr4+/nelPGaEI37jxibcsvnf8p4WE47+m9yNrqg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=p2adpuUii+2ZD9t0gaBczxGk5Caxk3gXZt3lJOUbdQ8=;
 b=baGf7nN+tLB1oNjGgU1oy/kBrki0SvboPCG1zDR1KgKEZj9e4Q5vaEZ7S9edZr0AVM5mh+0iWnB2gyWSz/t9G6cEt4e+mWEHjlg2Wk8YgEMHbHkzKktthKQK9kDxka92NwEqk4h7y6hwqyjXNb2jZ8ER8JJ34JxRkiKWGgPq6RK2nPhhhJTtoEfMETjcW+63pGMaGxu+53pGSt7IRetY7YS48/EmeLEw7t+Pif8O2GQobugfEl7R5ieqw8IIEI1YOT6RYWuOTTsWJxtrq338ForgbedRsQCB0WtOkpPyxtsAKXdojCCsXEqu5/EOU9EdKvZa96hrrnnPhoUrlZAf6A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=p2adpuUii+2ZD9t0gaBczxGk5Caxk3gXZt3lJOUbdQ8=;
 b=eQ8DPWV11mgSPWX89RR7Ftw3MAx7IvBGwdzMR+gYVWIyPlgknnlUsTbHR6uj6hvl1Wwox7N4/ewgTR6dRtrmcwMBTESRgISdM2KCHxfJmefJa6Xjr4MmlTZ51xBO5zXWon3XLQmGxnXsGnxKpKPkappwk9pL7Qe9HdWYiUc8Hh+c5fFwvJoz95Po1Te5xeM7lYgitkpffuP7tq7CK+bx+7kWhrkBscrHqiIWLzB8xhJU2ozXWg/S9PKR/N+n5WerXEmBRV5U/dIWAbozwHhP5GfCLTJT9VDNCkTfVm+pE/eThrb91bVIIGP5mpVTXspA8ZSZYILrqRsOIWXUEqGLCg==
Received: from DM5PR03MB3163.namprd03.prod.outlook.com (2603:10b6:4:40::24) by
 CO2PR03MB2342.namprd03.prod.outlook.com (2603:10b6:102:c::15) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5144.29; Fri, 15 Apr 2022 02:01:33 +0000
Received: from DM5PR03MB3163.namprd03.prod.outlook.com
 ([fe80::4435:f888:7949:a817]) by DM5PR03MB3163.namprd03.prod.outlook.com
 ([fe80::4435:f888:7949:a817%3]) with mapi id 15.20.5144.029; Fri, 15 Apr 2022
 02:01:33 +0000
From: Morgan Smith <morgan.j.smith@HIDDEN>
Date: Thu, 14 Apr 2022 22:01:30 -0400
Message-ID: <DM5PR03MB3163BBCF9626AD3B88900011C5EE9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Content-Type: text/plain; format=flowed
X-TMN: [ks3YrCF9DXqbxYq16rB63qa+spv87IQ+]
X-ClientProxiedBy: YT1PR01CA0097.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b01:2c::6) To DM5PR03MB3163.namprd03.prod.outlook.com
 (2603:10b6:4:40::24)
X-Microsoft-Original-Message-ID: <87wnfrxfyd.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 7d1f2429-8ae0-4f51-ca42-08da1e83dd7a
X-MS-TrafficTypeDiagnostic: CO2PR03MB2342:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 457vwwIJsBMTBbJ4yOfui4doHwEUaiMksoX2Ak7NT3VL1/YYABwKPsrdA7nhZWhFaySNUkTtDK/pRVU/Si3fFLvjo/tJoh5bpaIeAdRN1RZZ8KgaDw8xbGFGlFAUWdiVWmSNc0l0Kh0gQ8fCcpzd40P1WuiuR/LGdnypY6Yx75OaLYv2P2ODtBNQkTi2FQy7Afl49UjbvRRrsKG6jC/HUDCN7qVdrlKxVjLYyZ4uKSJdTOZB5CHpH06LlcVruCAfumwmPk9tLMNs+5eQ4bRpQUODciO1ndtfkqObyniLnjkh3YyuXtx03796RNsMrP0XINQW1YFIonMIdzpgFf6ncT1KXoipWL5hOhEd8GfkU+HsyAJuaKubv0RlI8Dk+8bBGDWWGuLDLM1gwC4xRRktPUfd158QrBHV97d6dSfEX0j3IuzUFSpnoz5ifX0jtjloV+ZLoDF2bdUJF19XExKkcy1s3AtmqtO1NfEwfEj73Ps60zSFgToDrf7oTYBL9f4J1/a/XsivN53MknoO1fWRLrcObDxysQK4XfpF8jWM0paUEVV4DSyAeDpQZwxev5aT29nXSNcMfjLUthW8ZdAFKSzRLamCX8hiItTh1ExcbZq6PidYxqYm6pkeMIQ8bF6XmafO23UdIjKFEuod1jGuWQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: oUVkgSbdATJStWMMaUKQYF+k2tsTATMyesbdtIiTJ1dJfqk0wfPLtx7owAKpw4MVBb2oeVmvJVOixU98k/5Fcz+Sodl91cqf+MElE2kz+vWcEZk2GZskf91mR4xt+f9vy112OiD6N+Y/ZhevQB9nVzi03v4h1Sfnk1mskWMnF9exRVQnPYv0T1lQ1+1i7RZ4FcvFVMfxZ120chNtRMTjPfA+E+nuPpYrLc0EPqo2yP9o4Yv2aLirjbj9XSvGKMfVNB+E3rldfQ4ZJGSVZo1Vn6bb3x5jzaV83Xae9pLoVxP6LmVIa3/6z0RAp9M1r8E65fSmGw4r3k+oSM33NPiTW+d+NGCUA/tsd0FStl2rAPYvZfjz02yHw/u9OaVEaOwTB46jtnBQfCS3INlzO6uEnP4gQe3dm+C7DN8UYUXuEKZGRDTZWcREEQJJRHzcMekZKryzEdmYzMA0uurKTbhP7MRKYdKENqgIqeR+5ewi1rHOfRV21MTwwoBlBip61pBcbby7wfDeEPoT+6PJBhAyOVw4GbjY+v+b7zHEjO7LzXCLbWKCNCorulZlB+33FUJWBOhqZ5hAwS/REwF+jEb9TNabPbGUihA5S0KNUZH+pPOcprwtLGDeSaoeXb6o7zq9f6pQ4D6vFdMFqguD7CyHh1MPkf4hAy/Q686TT2j/N+ZFi0sdQY9xWhlKQXI3J2KXltGR8XBX8gJY17Wg46MxKTzkf/msMNUEvDBUNg/gGVhJ8eKD35C8zEqZgXW3jnWk/ZWrC/IXMUYkndDNQOp3As45iU/NxyTBGxs14dVWO2PEC6sU3gtJ9CKzCngYen8RRRw73DRegNOt9O1q/OlX7KVQqmI5J5iIG3bzyXrJmmD6u/iBwUtcnAPbpZBLyYCtpv4dJFcedL4pzxjMmyEYuaaK9q7BW+nByXHIOWD6eklDGGMMzMQFYBhB5eQ0tt5l56EInVLjUM3Fue+kvrXCTBAKJdyZcPkdXTxloxVPArib0QwHisPHpFDrF/RpdM0+Ob5pj+7gq0XHSX/aTDEPIFTA6KUmWw1jWG5gsa1R1Gn0Jg/L5/pNdpWDiUCIJMrVK7aORUd06Smi/XGgCq4NQ7fWCpJTnsA0dCu91C1Rz9V5b0t4xlC58QViwk+ttEryxYXa/xFaM8TdKzzm/M7wYh2uUQTl8Q5bFFjbnDIsWVyGVxinP6Wlmb7NT5VPnZdiQKubj1Xb2vkHL27h5K5hl2XMX0OhVshTAoGRGzADlS22A0igko6B9jLnuwYMXaFWLkudcei9qjrLgxLUmNWfUyQcZtzSLFxHdaJxTjqRTgSQRjeW37/KpXmkyiacQCyygGGRWPCuWvHhV/Hv3pOWhSzYGBNcSFHP8rqbRFikINK0W9D/Rx1bkz9dNDteuWH2Eq7E6WzCwndQb9ZRoe0QerdNHOLmlHd95jQ48AJCBbAmtzAmBhagjiTCf+Zj1AVZ
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7d1f2429-8ae0-4f51-ca42-08da1e83dd7a
X-MS-Exchange-CrossTenant-AuthSource: DM5PR03MB3163.namprd03.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 15 Apr 2022 02:01:33.6238 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO2PR03MB2342
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

I'd like to report that my super key stopped registering.  I 
suspected commit 1404e16975 caused it so I did a quick `git revert 
1404e16975` ontop of 807682de1e and that fixed it.

I'm running pgtk on wayland with (pgtk-use-im-context nil) 
(although that doesn't seem to affect this issue). 

Thanks,

Morgan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
In-Reply-To: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Resent-From: daanturo <daanturo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 May 2022 16:26:02 +0000
Resent-Message-ID: <handler.53200.B53200.165323672210589 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: morgan.j.smith@HIDDEN
Cc: 53200 <at> debbugs.gnu.org
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.165323672210589
          (code B ref 53200); Sun, 22 May 2022 16:26:02 +0000
Received: (at 53200) by debbugs.gnu.org; 22 May 2022 16:25:22 +0000
Received: from localhost ([127.0.0.1]:46187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsoOP-0002kj-P0
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 12:25:21 -0400
Received: from mail-pl1-f169.google.com ([209.85.214.169]:36742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daanturo@HIDDEN>) id 1nsoON-0002kW-5h
 for 53200 <at> debbugs.gnu.org; Sun, 22 May 2022 12:25:20 -0400
Received: by mail-pl1-f169.google.com with SMTP id m1so11156321plx.3
 for <53200 <at> debbugs.gnu.org>; Sun, 22 May 2022 09:25:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:date:mime-version:user-agent:content-language:to:cc:from
 :subject:content-transfer-encoding;
 bh=wEar0IzfGeG6/vgUcjFg5SpE5ft/Iv5QJ5BBVaav1EI=;
 b=ImE+dm/fxUdEkBljJdvizvuPhRK16UPf2+3GQ2JZsIo51bysOy0i3+00noOuAMjbuK
 42wxLZG8b/BU6n2D/S5xPNLFDWlWrErYvpwjVWTHlZvcR+ilgYMLvU2YynwpDaRzpCSf
 g2nd5Nt3hqJyAcz/fiW5k1kPcTTIMs6Km7ZfeL8Gyxrr3g7ZJv4ulrovwp9I02p7Y7+M
 zYYcJ4suB7cbEiHwyBCou8Cy3CRkIdawP/4Q+/tT3LaBeNHhuHg2dJGFTRjJMRLxbFix
 PkVJ3uS5KgFATPSiOU1gPKBEIpZb9JuqJNb2AFl8q1dwe4Htmaz881tBX0PmF4IlCKCx
 eSAg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent
 :content-language:to:cc:from:subject:content-transfer-encoding;
 bh=wEar0IzfGeG6/vgUcjFg5SpE5ft/Iv5QJ5BBVaav1EI=;
 b=U5eNi50q14Tt7BwiEc77NB/MyrbxJoMwqsI/nOolRyRnbBU46VDm4uxr85BbfOJoSd
 V8yOeH5z9uS5C3sP21yaql2N0EfqE4NnMzthJGCW6fgkpK2u6ObW1bxJOoz3pCAy5pxs
 Eey19yZWo9sLAX1+lN8Dd92G16VVCRSJxzkRRvgzfxoraTYltTvuj4Z5T7X0VcE0gg7S
 MAet4pGDYKzwDrsy6leRBJ2QP3Te616llAa2KO9bCPn4iZutWm7++AgMq1Ix+MPL1FBr
 gxZ6NS9yoT6Lgo5ci/XAhai8xh/2n1YRWvXp17w73/qWkABFhZTQMHVrnzdsPhNylVbL
 f/qQ==
X-Gm-Message-State: AOAM533inX88vsEYgYKvQZLFPODsRu6b0FMcwB/vMZGBqAY2TW4zNI0c
 P8Z/WEhhVZGX63ifsyZV3DM=
X-Google-Smtp-Source: ABdhPJw47I4xNPGXfefXSZzwCgjD3dfBfBaHZ7fvYbb/MsJ6z5AMDhEnG+mCp8o84yub3NWhFrilyg==
X-Received: by 2002:a17:902:ef47:b0:156:646b:58e7 with SMTP id
 e7-20020a170902ef4700b00156646b58e7mr18961331plx.57.1653236713190; 
 Sun, 22 May 2022 09:25:13 -0700 (PDT)
Received: from ?IPV6:2001:ee0:4f8d:63d0:3daf:e5e5:acfa:28d6?
 ([2001:ee0:4f8d:63d0:3daf:e5e5:acfa:28d6])
 by smtp.gmail.com with ESMTPSA id
 n1-20020a629701000000b00512ee2f2363sm5584212pfe.99.2022.05.22.09.25.11
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 22 May 2022 09:25:12 -0700 (PDT)
Message-ID: <2ac4ad1d-711a-ce8b-7553-9e9c446f28f1@HIDDEN>
Date: Sun, 22 May 2022 23:25:05 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Content-Language: en-US
From: daanturo <daanturo@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I'd like to report that my super key stopped registering.  I   
> suspected commit 1404e16975 caused it so I did a quick `git revert   
> 1404e16975` ontop of 807682de1e and that fixed it.
 
Hello,
 
I can't find commit 1404e16975 in Emacs' master tree, but even when having IM disabled via `(setq pgtk-use-im-context-on-new-connection nil)` in init.el, Emacs is unable to recognize any Super-modified keys.
 
It's reproducible in `emacs -q` then `(pgtk-use-im-context nil)`.
 
I'm on Emacs master (8f3e0ed2b99b9b2ad42693cab2b3c0c291e3c3d0).
 
--  
Daanturo.





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 22 May 2022 16:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 12:28:41 2022
Received: from localhost ([127.0.0.1]:46195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsoRd-0002pn-Ju
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 12:28:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nsoRc-0002pU-7R
 for control <at> debbugs.gnu.org; Sun, 22 May 2022 12:28:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Le7iqyk5ZqVX1gliRgIE4kLedm0brBqF4zASyqFsuVs=; b=aTXZ/tAxlmaCOqL4+n45t2ICeT
 2qAT6kimufameNqQP1GJE97LFo77KmlLjZu7FDWG5TzSD8tvKxDGqlNv0Pvr8HhnRo2d2ZMV/NcPh
 Jldd4A9N1qdjN67ebXX5UhD2EEi+3Oaqnx6qnJWBkOI7eN+H8Z/0UuhRgDFrbIjLSpiM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nsoRU-0008Kh-6q
 for control <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:34 +0200
Date: Sun, 22 May 2022 18:28:31 +0200
Message-Id: <87k0adttu8.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #53200
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 53200 55362 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 53200 55362
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Morgan Smith <morgan.j.smith@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 May 2022 17:46:01 +0000
Resent-Message-ID: <handler.53200.B53200.165324150511990 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: daanturo <daanturo@HIDDEN>
Cc: luangruo@HIDDEN, 53200 <at> debbugs.gnu.org
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.165324150511990
          (code B ref 53200); Sun, 22 May 2022 17:46:01 +0000
Received: (at 53200) by debbugs.gnu.org; 22 May 2022 17:45:05 +0000
Received: from localhost ([127.0.0.1]:46284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nspdZ-00037K-5t
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 13:45:05 -0400
Received: from mail-bn8nam11olkn2103.outbound.protection.outlook.com
 ([40.92.20.103]:11072 helo=NAM11-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <morgan.j.smith@HIDDEN>) id 1nspdX-00036U-DR
 for 53200 <at> debbugs.gnu.org; Sun, 22 May 2022 13:45:04 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Gn3M+D2k+50M0BnIPExCB1P+hCyfLy4X2KSSpiSr2LTRgHrMeWW5D7MiliOj4mZ6057ve7XBBE0QQybO7QwF55VJL8qsdo8/21/mjdy6wglhj7esDnQTTxxAx27j3xUJrCQeFbi4IzmwKAf0Alq6CwnCbEuRRQ/xG5GXd8/2kfiVpAsm6OB607DlyIcNJbdJGM2PCJA5C7/K4dxujegXph5TP17YR6LWytcazGuf57xuMZ66TdZoS2B2oZginHq6FCj+VP8RMPMDoJan9KLhdOrwPISnykiFaW4V6Urxxam6ywQN5HPz5TZhd2LzJ966jxw25yYM96u44JC8x05/qw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=h0vU7QTxFPnzouhrynB3iHnSoQcDnjWEJckhof5Dhcg=;
 b=PSVX5e/PM0i+QigCHkpH0GkyeYArlP7Bi1VH8XOLe2mTzW0YLJkPKuouiIEFAu/FehWXLz6BKiI4KwyTxvX0nDU3oOjRt4c8Iv5ojPDz060lMVOHZX/fN1N3jUfqdiu8d627d0huz25LiBF0Pk0DOeUYKaF2kvKApgFWd/1TNAHQjJwdd+zfVMa72Y7KPMujXFt3++dHsZ2pRD/GsInnVcYfYGEE8bq+RdR1EgFLvWgv97g26zDIOKtbseqZxYmMlDpBo9el1sKOaPEUkkvbrpLnUZd7/pMMZZUCNRAttmVlwxkLWlohMe2iteDiqJuKiO8MxXP+os3YFl9WGgI5HA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=h0vU7QTxFPnzouhrynB3iHnSoQcDnjWEJckhof5Dhcg=;
 b=qqVyyR+ilagApD0E92eFjAEIkMqX6xb6Cqp690/pqtNCr5mPECzfwk3Yhgb8HFWyGdqy2gd67FFtNMOdKuAPF3q4z2Mjnobj2uprRC0O4JAU1TCkXgYMapJY3vYOFSup0jB2jjWmDbVj1seJGSSkAAHvpssK1Cs6i3zxjba59D0tqSKCkY8B6Z9IPNb9TqdoiwrI0VHARLuIcz9PRNRc47/ywmPprvdEKynWh7DI0imhlgrO6vqgOYAeJIxz69S2Eqhn4aUFXRfU6aWObdM5caDcAqrfNhBvYmoypMy+9o+V5+rfFS0fkElvzc7BjhWMMj9NVTFIJZ3MdQCSm8WD3Q==
Received: from DM5PR03MB3163.namprd03.prod.outlook.com (2603:10b6:4:40::24) by
 CH0PR03MB6161.namprd03.prod.outlook.com (2603:10b6:610:d0::14) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5273.15; Sun, 22 May 2022 17:44:56 +0000
Received: from DM5PR03MB3163.namprd03.prod.outlook.com
 ([fe80::a0ba:5643:dda0:2e64]) by DM5PR03MB3163.namprd03.prod.outlook.com
 ([fe80::a0ba:5643:dda0:2e64%4]) with mapi id 15.20.5273.014; Sun, 22 May 2022
 17:44:56 +0000
From: Morgan Smith <morgan.j.smith@HIDDEN>
In-Reply-To: <2ac4ad1d-711a-ce8b-7553-9e9c446f28f1@HIDDEN>
 (daanturo@HIDDEN's message of "Sun, 22 May 2022 23:25:05 +0700")
References: <2ac4ad1d-711a-ce8b-7553-9e9c446f28f1@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Date: Sun, 22 May 2022 13:44:54 -0400
Message-ID: <DM5PR03MB31631BB143E669B830459B61C5D59@HIDDEN>
Content-Type: text/plain; format=flowed
X-TMN: [F9X5DJtB8YMI5iHtPG4MYgjkdBpVq3I9]
X-ClientProxiedBy: YT1PR01CA0124.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b01:2c::33) To DM5PR03MB3163.namprd03.prod.outlook.com
 (2603:10b6:4:40::24)
X-Microsoft-Original-Message-ID: <87fsl1a2cp.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 1246faa6-0553-4c85-3f29-08da3c1ac8d7
X-MS-TrafficTypeDiagnostic: CH0PR03MB6161:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: iS3yK49MceoZ3Z6LcpgJMgEflvev5Sp6t5nj+VZqg40kp9HqqE2/uRAWYLI9FFaUFJvC2ceIkuiyxbffioPclCTEbBwxQ3sAIai08d4PgBsGTepO/rRpoD/o17IlLTQ7ut3hEra8dK0JgCTnwiFBDHBzUOft0B357LM/xqyEjidaqD8oolkDM5Y57s3jzndVwR4yBcULmKm/XRX5igzqZcrjtM7cmvgixUwWbHWtzRWxY3rDOoezUucrjrPbdbJsu9QKhURVdBgbYw8XO0DaxSlVL7hgaOPjBcYVaPqt4EykgbtC9oiBV+QDe+vRQnBpo/M7qTPyHiYNObhdbKFKt0Z+tm6QDBkPpjrDltrdpw6DKDfdhAuRKr/ItxTTB/i5RjPY9QuiGSdSahmvkqhFPHH2U7Se69RjHeDLU3i0xl2NlAw7RWAEFoGW5Di2Y2MdQxMEPr3cGldRJ7KPMciyphBrs5ej56bS171wMcLhTXC90j2gyRKt7urAEpw8KLjNssCOEp5unfJAnF3clXnxO2w6QXiilQYbZaaiEuwR5Qj7MXVkHCgpz2QqsGAs/nVQEETb9YrJMAHAfGDjz9cTuQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: k1myuLjXUWIZuuWS6aDCC95p8HgWsR09nz4e13hpK6VKSgSwo1UCH2wkzexSJes/lTR/97lQRqhsbceeD/bOjQvhgSEHI2Oj0GfEbl9YY5OT4giypLA8aqtz30ScyRqGJUsRWSEHc2HZVUhRQRfuWVPGwas325LcUO1+65fpvPLqyoNpQwjznBMS/cA4U/nBSgAXTxa9l6DrFnhNvUnWccDwNlYRDxAZ4U3+4PXkdJeJ4L1sIyatO7VDDPCE3jTbH5psEKhjGcUx8MEXMs5Weo3O+0Q57l2fjlg7YH+1H4qn1uM136UpTFRN5uoeW086cd8L21ejZO+CUGnXibHMV+Xpgoy4vKOC4kYKjMfpRA5NLdF0uxH7OkG2X2XPcHkZTWpotmdZTId9FMhmaxdli6Dd/ZBuhjb/f/Se3RR2eVslEM4aZvh8n7gTmsTO/d2SRR7IIIm3h8jGiVHkJe+qu4BG/3zcVe8ANChIbMfEG7vDXwNaRFl6xaIkr1nVSfoLhwXGU3QSLC2inPwkhyYv3/T2c6CWSgg3YiZk9+DWM2B1128Qhj/uh9cnxCdqvgxB6i00vYbQdEQGymUIkM/uJASRfpkQJZppCtkv0/SwXXOPy06dUUEkGWpWlgasxgxjMgZC35UoMkzFjMGFwhwZZEJnViwHU5Cg3eV9XFzSsp+k5my1MT0262HUEulHnqL2lr90aVkoB2gfxga+02teswgxzVJ1wUH+4N39OmZ5W1XdL4/RwQJyraQCK4T+ueQbt5vgJndUWbDlLLo7X0AnQ5UqVsTEQs8BBvlPf/myTnM2cegNqPEsy0d2h23SMJWsF9ITsun4fKWU7SwQ+b3lGzGjdVs7L+1QSjg8dCJLYsVnpqqHqwlw+gjRPEcowxdlIs4Qh6fN4ozzP/K3jJo3FPlnYWN9H/YeyL14Nma3jEiUvCiqCLWFFzwEUVTgNvmfSPla3j7z63vzCj0WwfymlYy4sjU59Ys+uDpLNRQ9OSulDaWSbPp94qZJ3XzELnwJF04COp46qWQY1+lNlf4iEL7781NKy8xLndLx14EN2IAxaSDBsJgAWbxI2FR1dK7lmQ+8+bnZe6DZgWowe32csWOR1lRgRPcMP0hcc49isbUJjiudZUM5+rd5fZ12CYQnCby2b9J2E9AvEcv2vg7l5Xg4/X2fRzHVHxlkrHN98NLLPU3pXMWadEY8VWcHhrrRtEFOhO6Z8rdNkfR/foq/u+EpqQXVyXFWagtiMd6wO6TG941d6LyO2+Ev7l6L/jEwc+X3q5QiDqR/Wwe/PO0oVxTw/lNdpY6SwH/aJW6eT5ZEiK3qdHsSHp/RJRypqRyxahqFlRWrrNdrd7fNg5gdE8wFhRHyksfPvxfJXnBLAoV36aMTigAltsvqjPQ9LDb/RD97gxFKE7aXc4PPGqnCa3vCpFuukHUsoxhNs3z/1gbSmutp7xgEs0ViTH5Aa79g
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 1246faa6-0553-4c85-3f29-08da3c1ac8d7
X-MS-Exchange-CrossTenant-AuthSource: DM5PR03MB3163.namprd03.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 22 May 2022 17:44:56.6618 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CH0PR03MB6161
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

daanturo <daanturo@HIDDEN> writes:
> Emacs is unable to recognize any Super-modified keys. 

My bad, I gave the wrong git hash.  I meant this hash: 1c1ae6ba80. 
If you want to re-enable super modified keys you have to make the 
following change.  If I remember correctly Po Lu thinks this is a 
bug in some other software and that the GDK_SUPER_MASK bit should 
be set so they don't want to add the GDK_MOD4_MASK bit. 
Personally, I think GDK_MOD4_MASK should be added and we should 
just add a todo comment to look into it more later.

I suppose the thought is that in theory someone could use MOD4 as 
a custom modifier instead of using it as super but realistically I 
think someone trying to do that would have lots of problems.  It 
would be cool if that was possible though so I do support trying 
to rid ourselves of odd grandfathered in quirks.


diff --git a/src/pgtkterm.c b/src/pgtkterm.c index 
b9d0b7b512..3ef643a075 100644 --- a/src/pgtkterm.c +++ 
b/src/pgtkterm.c @@ -5018,7 +5018,7 @@ pgtk_gtk_to_emacs_modifiers 
(struct pgtk_display_info *dpyinfo, int state) 
     mod |= mod_ctrl; 
   if (state & GDK_META_MASK || state & GDK_MOD1_MASK) 
     mod |= mod_meta; 
-  if (state & GDK_SUPER_MASK) +  if (state & GDK_SUPER_MASK || 
state & GDK_MOD4_MASK) 
     mod |= mod_super; 
   if (state & GDK_HYPER_MASK) 
     mod |= mod_hyper; 
@@ -5151,7 +5151,8 @@ key_press_event (GtkWidget *widget, GdkEvent 
*event, gpointer *user_data) 
       /* While super is pressed, the input method will always 
       always 
 	 resend the key events ignoring super.  As a workaround, don't 
 filter key events with super or hyper pressed.  */ 
-      if (!(event->key.state & (GDK_SUPER_MASK | 
GDK_HYPER_MASK))) +      if (!(event->key.state & + 
(GDK_SUPER_MASK | GDK_MOD4_MASK | GDK_HYPER_MASK))) 
 	{ if (pgtk_im_filter_keypress (f, &event->key)) return TRUE; 







Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
Resent-From: Po Lu <luangruo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 23 May 2022 00:56:02 +0000
Resent-Message-ID: <handler.53200.B53200.165326733214117 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 53200
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Morgan Smith <morgan.j.smith@HIDDEN>
Cc: 53200 <at> debbugs.gnu.org, daanturo <daanturo@HIDDEN>
Received: via spool by 53200-submit <at> debbugs.gnu.org id=B53200.165326733214117
          (code B ref 53200); Mon, 23 May 2022 00:56:02 +0000
Received: (at 53200) by debbugs.gnu.org; 23 May 2022 00:55:32 +0000
Received: from localhost ([127.0.0.1]:46711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nswM8-0003fc-7x
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 20:55:32 -0400
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:45197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nswLv-0003fB-OC
 for 53200 <at> debbugs.gnu.org; Sun, 22 May 2022 20:55:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653267312; bh=nFNbn/BGnUwBA5FYTSyUjZcYCYLfsNPcccjNSnJGtPk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=oI/ORK0w4Q8lCB1fklJi4JmcdLJekoP/DOUz4vh37p7L9qsr3H1W+54YxZNMIoSrp5361WYskS1JW78yEvEBEyXzCb6ZNc2qq+BiHlEgxGEt8yTsOlUBvZ3RrGIQ4VmPHTIF7jwg/II9qoSwwiG9HyM3/Oxa/ETa9qbaP0vJZxVmzY0UnGbjY+czAQKxZ6q9qvlXvvqfHIGtvndYxscfyEKKnIdBMNAGhRe2sBT0ZFOPlMDu29VtXWd2VtZk93y0x04Vvti0tX8KIhMaSyiWUm8dM9httRs5Io5GZNFWRKib8xCqmZD8X1tQGsEX5wIy2ckboVvywIRyQ/9asCnC5Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653267312; bh=G+Bsc/xGcIx5NTqZMvNSGELFumrmZEGqHNnUOgHy9bo=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=h5KsCRwQn+vfhjFpukze+ZTmjAhpxwqdVx5zCsRtHfVh1rb+ekuUGRLkwrQHjmXZqvoWHTApsZaKxEcW4GrH/xIeSl557LXLIIjCeiw+pyYed55HoFFh81pqcbgx7NIgFCPVboXkJ/vWLvmFqemN2THxz+HahCBVLY8HgrmNRBKAFk5J6jMLHpmK5xFhpdhPCQS+LL6Q1uNXY5xWNTQK/JBilV4QTynNMpL19Hb3/Dqr1xmyeoNuGIMxRWqRRjAEBOGa6R6etyqjb2/PAZtTl3/q14Kq0196aOmMeyyBwsZEtVBBEA6qmS5FscGVR9Lne+PWYjmyA99agogU1bpFCA==
X-YMail-OSG: QqgfJioVM1nFx8SA8EHjDpt..XQ9ugcR0jc1h_ksPd9PCOT6BHB6HYOVyhU0XOj
 SwsAg619ttCQejmd4RKi4G7FaB1ggLsU.nCMBy0.u15RuMS06eCtTOL_XrAmjWLP5swNDkR0sVaE
 ofLan_OVm3xYHytZ4GL3xmKiUUJVW4eC_ltoc1FxLawHUsxpft4.10SyM_ZYxozBOG1S8lT1t3hP
 7XSagvzhCFdPrr2_miQ6rSFM9ACmkgyO7YJmKVNMCZJOvMRUe8meSGcH3J9TxsNA0XrGT3j2ewbN
 jHJv8QNoev9LgBNW1.rEEDCsytrzPBJXd.DuTz2eXkYaurtH7ZC7qKmnZwjEUMriUc2BFe4VmhMv
 TEoflw1I_jALp59iKlbNNJhsyUJlcyhlq5Wn8yOAXrllsmQQB8cD_Cp.icco9wr1Z1mexJzWIpcC
 eAiedZYNDw9m1ncKs4HppPYxhSOfitpl1L6cmlFaeJz7RWZD2mGVwjFkB65OXlSdJh27GA9vZ44b
 kCy8KpJWQIhZq_iPJv400ezJudhb2ts0TiHvaY2BulD0.aDbpKETQb3e0474VZl0VDxMiDF0Nw1m
 y8EzYRFiyOuAG8zuOpwNxCaGtUz8m7rtxK7yvT_lh7.TTSzkC35nlzxHEBnfZqrEmWbBvy.Pc5xj
 IrdQX5jg4PASsY_ctTkgcwgm6_orXOvvuy6RRb2NaHPAepT9wlNqrntlpSa78srEX.iSwC1Tbgns
 Yjfj7m1Unr.xNcnv.OQ1bMn.acLi3y1piEZ0E.lKlqdkz0gRE_xLbBTmTHnBfIyXdbhlgI4Go94V
 d_lRXAjhb9fyBqIdcKJaHB_4WDiJEu3jyoddxPmV_T8ngwx.0qoYnGDV6zMxOaa0wnLX5ZrZ2Tvt
 8GMnNqUK0zAANzEcj4ywM0FxN5B2AIBHUYNWljaE5z5xQaM497LnjvA4mhi0puUcQtyNypmjzxs2
 Hq0b7Au8yIkwQWlLwiNVgxupgJ9SyDcUT.b_ZoV4B1Y7sBW9_NxKfpnqqM4eCTj07CIujK7Brxp4
 1FedmRFIsU3WMFzfEMWcQyae0._7vI7q63TlZ6sCN4KNwHDlU6D_UDC35oTk8wUO97miDb2_fPTg
 kLv5lamcrMAbJkeK66Vv.xFILxDLHoMXRT0pM5wkfNklINcLIrkrziyrZd8oJ5cMDKlB4IhZ79gm
 9MkGoSxO0vyFMpCA_jJmAyUgwd2ZFZdnq15Kq1cvxPjZwacek_eIPu3D9RkwWQjzx1IAA39PtmLK
 Z8SPhoqNA4ZSM2r4OWSQiOP_ovowlcrHsCnTiLTj.a2xnRM7G5M.i1XFlhz7ZIC00TJIV5uAsAaA
 _yAU0uIHXH0IbC3PDLhDAQ6mGoNFminYPNM1w7g5pqnjbONf5GcUFcjKmUxoEUMaVplBoWJzi29K
 9NGV4huGWU8mPjonnjeK8TPUdmEzM63dKwW.TSjZNEE6WIzIA26tm8i9ZiLaDbjD9B0v3rfTSteD
 MS3YlL1GiNvzTR4AT8IZ3CqeW2vnGoghbA2YlUK29wWamixxlL0Q3CW7clbfSt4AycrHa.7NpNjP
 wYv9IxzPaMYM4hYncUU3xd7P73U0XvfHtQx3ZI0dQcXrO7g9oFHesFrH78mOsbR67Y4LyYYZkSOW
 Vpjij5Y57xe17gj4Rvpb5dCEvaqJ4qYD.S5iHtyHOQnOxITTLT2royg3NtjR5z7jAuZ5_pA2mbPM
 ab7THg13eYDAZybd9EqutuUOwRl9CyQydz8iHNzcIcz9UdeRoeRrrxzU2ujVa6xoE3yCRoH0ynsq
 mJjOjaAXck8k58rfw0oNnNOeadJd6s9GqHeuImFHgBPXdIr1t9Uz0PSubEUR3CAupgdzoESBBieu
 jPvtq7lqJatc4KH5dbN4jV7iRqJXTnierp_vl5tq8DURiwQLIHgu6GLCDwWDZW_hxRQaJC4FjNel
 mhHaK68cybqriIDxsQkpoHoEKcT_EESZ1lVWeHRwsbkw5dacyM1b9OAF0VK7VseVR4gW6Myuu_iL
 EGYkwVTgBxxmV5dRdGjYvp6rrJaLa1Hp1fd279yZxLS8lGm.9EUZopMqg8JyLFRYiAwdExF8VkD4
 s.dL0a1EdRyxutTpvkwzjQg9nFUnXNLEMaYT4.NHOCarPY_kxzu8hvCFs_6CMPWFYndbsNRhsuqg
 ukNb3Yv6tTqY_Rn5AQRCTbJqWw4C669MslpegEmsm5Y2HzJHq.TeyWLQXze9mYzOoLLEieazI4gh
 SZk7zPi3GcaKUKlzkNNth1T5hzsKX8fTCP.j7CFUQLm0Mj9c2NVVG4u1IX6A-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Mon, 23 May 2022 00:55:12 +0000
Received: by hermes--canary-production-sg3-7959d4d9bd-zszfs (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID b0c2f3af01cd4c8d08cb1a13ae48026d; 
 Mon, 23 May 2022 00:55:05 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
References: <2ac4ad1d-711a-ce8b-7553-9e9c446f28f1@HIDDEN>
 <DM5PR03MB31631BB143E669B830459B61C5D59@HIDDEN>
Date: Mon, 23 May 2022 08:55:01 +0800
In-Reply-To: <DM5PR03MB31631BB143E669B830459B61C5D59@HIDDEN>
 (Morgan Smith's message of "Sun, 22 May 2022 13:44:54 -0400")
Message-ID: <87wnedoyoq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1325
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Morgan Smith <morgan.j.smith@HIDDEN> writes:

> Hello,
>
> daanturo <daanturo@HIDDEN> writes:
>> Emacs is unable to recognize any Super-modified keys. 
>
> My bad, I gave the wrong git hash.  I meant this hash: 1c1ae6ba80. If
> you want to re-enable super modified keys you have to make the
> following change.  If I remember correctly Po Lu thinks this is a bug
> in some other software and that the GDK_SUPER_MASK bit should be set
> so they don't want to add the GDK_MOD4_MASK bit. Personally, I think
> GDK_MOD4_MASK should be added and we should just add a todo comment to
> look into it more later.
>
> I suppose the thought is that in theory someone could use MOD4 as a
> custom modifier instead of using it as super but realistically I think
> someone trying to do that would have lots of problems.  It would be
> cool if that was possible though so I do support trying to rid
> ourselves of odd grandfathered in quirks.

No.  It is safe to use Mod4 for something else than Super.  (On X
Windows it is often Hyper, or both at the same time, or else.)

The only modifier that is not safe to change is Mod1, which GTK always
assumes to be alt.

Please let the GTK developers know that the bug is important here:
https://gitlab.gnome.org/GNOME/gtk/-/issues/4913

Otherwise, they will keep ignoring it, as usual.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 May 2022 05:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 01:54:14 2022
Received: from localhost ([127.0.0.1]:60663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuSvN-0002dC-K3
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 01:54:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1nuSvI-0002cq-T3; Fri, 27 May 2022 01:54:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52348)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuSvD-0001To-7p; Fri, 27 May 2022 01:54:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=lRdbcGkMZb0C+/Me1yFueLJL9WyurubEGjJriX0dO1w=; b=sRrVHbP/W8qWxWKUA/u2
 wDzejtem0RcTvb1/HHuZ1ZmFGNxNi0tUdDiir2gIGDMqPZeDW2Qq8jfX/rcqxvAHeEv+cbPool17K
 45GVFJThNL/APLsYii5+goqUccsdaWu2Di6AG8LexNA+BYhVnoHZ/+QtythERu5zC/9FH+Z8Ox2y5
 ZXWajKF0jc8yRJAAfGYVrc0qX0R6UyueE1plqZOMSPXG5m+llZgU6+bNMtPGDgI74EGxkad5+c314
 Gx12po9vhJmVr5vA2bTQJT9HKTLiPwkFNsgS03hTmoaHGLGFA9AZP/4Lq/dMDm7GAfVfR7QA4LEu8
 S828Y92ikil5Ew==;
Received: from [87.69.77.57] (port=3605 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuSvC-0007Op-G9; Fri, 27 May 2022 01:54:03 -0400
Date: Fri, 27 May 2022 08:53:57 +0300
Message-Id: <83ee0fo70q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87v8trivlc.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#55660: 29.0.50;
 PGTK degrades to terminal-compatible keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
Cc: 55660 <at> debbugs.gnu.org, derek_upham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 55660 53200
thanks

> Cc: 55660 <at> debbugs.gnu.org
> Date: Fri, 27 May 2022 09:59:43 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Derek Upham <derek_upham@HIDDEN> writes:
> 
> > Calling that function restores normal rich events.
> >
> > I’m using Ubuntu 20.04.  The distro installs ibus-gtk3 as part of the
> > normal desktop experience, but I haven’t configured it. “im-config”
> > reports that it’s using the default en_US locale.
> 
> Then this is a duplicate of bug#53200 (and many other similar issues).
> Would someone please merge the two?

Done (and anyone can easily do that).

Should this issue be in PROBLEMS?




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Jul 2022 11:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 20 07:15:56 2022
Received: from localhost ([127.0.0.1]:55992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oE7gK-0003b8-4A
	for submit <at> debbugs.gnu.org; Wed, 20 Jul 2022 07:15:56 -0400
Received: from sonic312-23.consmr.mail.ne1.yahoo.com ([66.163.191.204]:45598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oE7gJ-0003at-2P
 for control <at> debbugs.gnu.org; Wed, 20 Jul 2022 07:15:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1658315748; bh=lMI8h0fPnMUtZESbIMcTws+YxABI/OcG+Efy64sOe08=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=SnAp/mbQYZILsn98jgeEbuL2mzZbLMO9Q3NedzvrvMURdV6X1oq43AIsUt7XIVZnABrdBX/CUhtdofWB4/iT70mIWZ0qrxzf+7NPvmWAP319Ws3gy7DFa7O0Dtf0RDs4HHm4VLSlsSg0Uh8aPSp8n/Arpxv48gzMEaOZ894oCWBzyjzhxAJPqe0k5tRYr7yWr2gKv+i7i6Zlo2y1uGOf/fFAtB7Cwa9IB1jBvltRdA7t/kc/t5A5WL7QjGCwq3euxxWFMcM7592e4V4/tLzxqRZ3LrmqHDRIuJGODqs28PzTcUU54Ye+LKoQVUMH7mtpgB0ogboQD6Lr4RPTPGMAMg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1658315748; bh=McsKL75VrazBePe7dElYnpqMa9LjxmnqUbAeV9xCcTz=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=QeeOgo7lvGQLRJ6CUqmBv0dmTSoo7WO4IuHdoeC59azibVv0MFlPGR3BAKMLaFMGbs/g4R+motGQvWm+DebvRzB9FmsOTiT4Nt0wRv3Q3KQIcgWwbx9WbcYGP3+IYOkZVeAMF90CxQURBCqtaJrhfODeUrscBQ8Zq5nnM1JIP5doD/s4y/DCCWAQt4Jgch/OXhAcMOpawfu6lKCBXrhr/hTWxAi+KWE9ssMKGmj4LSZyAdUXquaCED+YporrLZN4qgJQKDHOLXYMih8mTFPq0NJOdAmgANET2byMqFw3R5KaXJG7KXadHxwJjMjX+oD2lM7SwLrgY3j8W5Rt9qSVjA==
X-YMail-OSG: CA47CyoVM1lxRig6aUhl0nbd.rV3xrSNT0Xq3BiUk6FmhxAlk0zt9SP0Ibt6G4d
 zgZBX6e_IQVUoNeSHON5D6wYIhF4KnxcOgXumk5i22VzPifdlY.fyUn6S8ywj0npQOfyEJ4ugwfm
 pEPB6piJElpGL6c7KrCfrdKXUNUDVsbzN3mOntGLEXu.agTkDE00sCfDp5X5eX6T_QdUnWAQUIbv
 8h3r1QLCNufVCAGEk6WqciGGBYP8d_CF5oTFVlQvBNXiBOuaFEAZ6WWm9s3.Zpz_lfTtnV9K9SNJ
 bks9p6DGG9Rx0rGCRkZDJ7drBSXy9grKCdpcv7whzxJ0hLE7guY0x4Yv9uLeyJoeRQrSs..EvB0b
 DDZgZvBiyKA0Cdxwz6Mlud5DJtZYDj9FW930SOPxBAC86CGpu26eX1Tcoi7zLrig_x35SbBfrkpW
 M8TDDMSgMo4ViGVH3_7s50AQKV.HUMts0b.WKZHdxlXD1MN2_y715pnA1h8SllntvF91Oxp3QIxC
 kpytH9esDdrNo__DSqkoOyxnviznk53h8gt.KvSgN9DZeDXJIS4ZCLJSjg5bW5euYNpe.CuYV0rD
 MiVJp7T8NJE04HqayElOl1M.hh.KiLEPnA2MpOQZeOB6NgKntL9HjSahYyZWTymh3BFw1lY1xMtz
 xzerO93dho2xgsG2u2yDfqMt295AhCJT3EEkMu.LtR7muy1UXfGqOIdDv2Pk_6rOJ27q7hTDBhbv
 _T_JT3F4FR9nX6EArCTup2ASdLJ8bVEW7AeltGgWkDWp4Z.V_JD7ijIGyGNzwaIPGjWp3zx1sUpD
 hayuw33rxDbz26OMoThC16sNyJdDqnVj.ywrYDANTquD.pWFPcOURkn.8l12TOvFfbeafOrcpJwR
 O5brfyQOkJ9FWUTigMUlpzywnGXf2jdDY266p3v_Cnb73MCLaJQf8rYiTMFnD_KL0l76wewY5j74
 r1_QE5Vp99Q.N95IArCBgkh3PXcilhIjEVmP8vyNBQmD24.xTmsyFlwMqzQKU82d25AAsQSW0Saa
 feioqh7Vq5MKpq2Ah004.Hq3N1N051QMwj5b_btOC2SwpEwBn.f5Qw4gctyhJllYFNeiL2enToem
 i7BOvWsBMS9zfBHPgjoYlfmd6CmymarIzLpAVmgSI5_C9ht7q.CnWWZjhAZwwnIPb39FPp4lnq2m
 L5cOeUiv60zde1bh1iLOTZCf5PxKx7PA6cr7tYZKjyXSMb6TFB1sfG_T7jwUgazUqpm6Zl4b_PlE
 Xz4cHu8Wi76vgcoz_lJFXNC4KhSwO3XJrkbWlenKlMsZk4Y.FcnEqaQQPH1uo0lFNO6BZtl53czG
 fLPzXMii848jnnAmB1opl31HaFWAQbSxctJ_g7nzJF8NMD2pi6WkOLcQhanb16hoQ3sAsaHOhyOB
 svmp9MJwepSCvEmDmVajlNioUVXLspFxfte9zj9zOpV7chB8UX7Xrui.6xxm1e.FV9Lje37Y5hwD
 5dZ.fVSW9Howi5OzduJJ7lRr.35.z_dPvhUTZt_kxQcJEEmtpSsdI_XI2RYG4qrz4hhxkEx.lPrl
 ezVI0x77QUfxnwZFjl1NKYQ9.ZqXGFSdgLMcrwdbPp.9LhwBT2P3I7IoOoD4dnx4iGGj8bHTIlBP
 CNQY2WG7Yaz8uE8yFV.9MoMWewqmZ9zkpqLeIgQWBzSI5al_04kwL7jOKSCYnpIbs8HQWQZkwtkh
 9YaR1M43WLpGlDo0shKHiYLoVl.PzNDClojo..4mtDQRwU_DWKPIcDar3juo4ARsUDWx_b6268nZ
 rF3MCpPm9OlOGncg97cG.MMfLTvFX5FHmCLWLXzHCPW96Mc2eRC4WQI2t_HfPDH33bKiBXZEzUJM
 lSIcD65_qI3A9Nf8Iecj5LNXwURIWu8r0wHK5ad5FuzO.A6Wi4NHvOUr6yrbazipHT3L.Ney1r1T
 umuL4DtvgaPJjAKAsUS5L6zDPqyxTXpIn2CW2y9rfHp8pwm4stJdgfBqQ49RjLDam.ANhCs37LPN
 RHB0JcjHuY8ltWT3Iox5CTTq8kkOTv5ejdjuRtwU6id5H0HkRhqGaMcL4n9TgdwtNH92IYrWq16e
 cgN0mTnMTVaFPcffn2KMIQFgxcNGQQYaNpE6Dh4UYERFCg_doAWZRqGehPRVoyCfOJzcIMc6KQJZ
 FuoD5JbVeTjUJuek6dENzvwenh_x17O_sOoiySRyjV8Tn9ejsLk92y7RCBgnpItEuNCzUXvuV.OX
 UiF.cKi3D5p6.mA.AayNF.Nz85Fv4oL3cbVLiXVc8SL50vaBvlZsxKAxEwAoatA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Wed, 20 Jul 2022 11:15:48 +0000
Received: by hermes--canary-production-sg3-67975bbd4b-v4p6m (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID e03a4391a4e33aa83ed13f9f81fb4903; 
 Wed, 20 Jul 2022 11:15:41 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: control <at> debbugs.gnu.org (GNU bug tracker automated control server)
Subject: Re: Processed: Re: bug#56653: 29.0.50; S-SPC is treated as SPC in pgtk
References: <87v8rs9gwf.fsf@HIDDEN>
 <handler.s.C.16583155915325.transcript <at> debbugs.gnu.org>
Date: Wed, 20 Jul 2022 19:15:35 +0800
In-Reply-To: <handler.s.C.16583155915325.transcript <at> debbugs.gnu.org> (GNU bug
 tracker automated control server's message of "Wed, 20 Jul 2022
 07:14:02 -0400")
Message-ID: <87r12g9grs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20407
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 23
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
Cc: tracker <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 56653 53200




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 13 Sep 2022 02:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 22:31:12 2022
Received: from localhost ([127.0.0.1]:48417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXvhf-00032j-Rl
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 22:31:12 -0400
Received: from sonic313-10.consmr.mail.ne1.yahoo.com ([66.163.185.33]:42714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oXvhd-00032T-Qb
 for control <at> debbugs.gnu.org; Mon, 12 Sep 2022 22:31:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663036262; bh=CLfgicGKbNiYe4U1LdhA/DMhLwtVE59QxPZDomdU02A=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=PvCDTB8lfXWwyiCaCmuPnxDjeOEDNm8nhw1yG6GxjSE8vXCQg//3ypdUYGX1YkCqvLqoGQKMbBROQkB/WNOMyl4gJB0BZHFEkEmMyWWkEnt6PSN/8zEv2/Lp+yPqJuQkB9L+aVpHeo1tb/m6Le7rlAy8S3HdXa+l7MCEZPhHaAe9NeL9TapXIpwkkyKr6XBi/MEzaO+jHPAxAt17REmznPmFeqBnNXLBzggwpTSoVRlnXkKxesKEWzze3ArxTDsvGqzx4GxSS/JJLxJbnAyy8OgbeJOC2b4fYZ77Hlj+qEnJUpABnJkJpWWMbwkawNbm3fprh0EHtXbCdVFErwbXEQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663036262; bh=bpfljJVNvgEx1vWPiiTyHLTLn3G5uJ2aayiJEvOgbCD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=CR3UpTRRbRN0kqBZIz+oTmV7AUjL4/bTCcioiaF35b/W0U0jDBC/2Kmy3po3OHfdAwkoyb4tLEfckAQAtO9XIzxpJIL0yCV3zVYw53VoEL5DEd8X9aZulqZExTF4UvW+a0Rd/nYBCoco765V1gkXR6TCB0OMs9V9/G3bR2XVJYHsAxMbVhCg0l1DCJFGuMzvz9Q1kAvewr5ZynC8t/WwfCMtilioZrlhRFNwKae7311bplehmb/mdqcN76U1cXnfQSPejw+aVwoS1/uAiq1tRxTsRssckqYZxxh+bv8QA5bv3gpnk0v81yICTf7Er5p1YqphWwVly1IeebeObJB7wg==
X-YMail-OSG: Hxnniy0VM1nMr1YhFkYpg1q8P8Ax04lQuCWhHJpaUU_TIfKECeSR6.n4Ky_4Mst
 vps2X4kmt5Nx1qlucKEkvvlyQFaN1WqKOeFmxb8jUHQQfJegUiZuWbpVwuSvVj6.nV49sNlWpbas
 maxQJvoskKBkFZIVRoia_Dyy2oF.Qk5XRJS8KCI.GRMSF9SkDyZ7p1VoUkb_x0AQWdg4A9apqnEt
 tfn4ajFRK8eFjdtR9so5_H5Ighwjwu9lUW6lrpM02AGkWyUGxavp.p14WosHzHoGodeqlIF3e5I9
 HCcAC8Z0OGs5hAEH1i.8wd6VoRQZ56jMHRvKLNqZt6ppm9fLh.VgzDkz4VQ.nYQAorWx.SYKMkEk
 UNcdnye324Q33voLeI6Nd6XAxyHgISw7sQjrWG.WLN7WVja8KcID.AT8B4m.EC5X9zlqbPw4j2ZP
 vJPgkLUg.g5ujn_AaehpmeSYkn.RiyRsDqGNWJFXiwNMnrKfeiN8HU4kgbl0r34uCb2DkpGv5TtT
 K0QGjlpc9cMBl8kGyrRSC24fYIS8jV3NgqTRB7VIvdo4yLdJ1RA8No4LfJ0EEpJiVZfNJpgTaAZs
 t3IiPLCqOswpunPON0OYB1NzZG7JVz_q.9oPAj.ksfjwV50BN1_rkFfCyssBzAugkQjne_xVX5Pv
 PegGEv2TpEMcD.Fb.gj0diuK9JMhKFaAALl0liomcpxEexCh_0A6Zm4irzFl5Qa1Gc_MEjPRs_1U
 DRO.4GB0tvrF0nWTBEMV49vYOC8WKRpu7PO3InbLlCSFEyII9B3C0t_YmgZWbjbbOT2hEtzKA7ye
 Mcwn3JfYw.pudoPbpf4FP9tv0IDCn9iyZ6keX4fogj3VZo3A8MnZeABmVBKc9gmw2ZkSiHtk2PUk
 vfTd8OPYCqEEJESQp4hTF0a76Lmp5IUMVLvocijhNjHa35Y5WEd65Pjz0GzLtK4AB.63ytf.HBdj
 K5FGlmJ7w.bg3tk6SGLNkgOUxgTD_S9LEhV3kKo.dZKjBkirQTAqEEDsIYf4UJ.Wfwtxu4fWrfJj
 vngBJyBTaQO6itoCzF4PcLFFkkIP93BwruBySsQ3331AlmM5S1yczo54JE76eTrV.eElg3jGnlVL
 K00neKLUbcd74hyUe03HumTfB2iOBh6W2Dp7R1mLCB84k2AOQIL75iNCC2.7xqqpfImABRvXI3Ht
 Rl9jLJEvCo_P0l7oGxcZkK0SBBF3Fy8H5mGwU_6zuz37qrTTDSwIPat9olstAP6cVyn9wgnKuUWh
 6Moc.cOiAf.QlSjmdX7ATph_oolarNz2JqV7DP9.7g4BLPe8ZyRIgBiQxPmjEv.QvcU2BQHF21cX
 gnAimfVIfxUFhF0RLpFki1eQfkVGlaSpRLNaumx55Kxv4NJem5TO1DWR5Ua5C_4YjBHAXmRvjFYY
 87HoAwLUiZvFYbJ8LGzWbPrUcvUO2ucUuWfeVFz0eGRyJHBkZGtR6FWgZA7CLQIRXrIimR7zLH2t
 hlTMHJkyd1wshzvaMKuhSXZ.kp_u3Lt6WOOCrF7.8g7oNWEctF0u3JdrswUiIlb_0fZA9NOOdfNb
 _cwTuYe1QtdbYWiO2wqgSF9I_mTDmUZtTCxPFKa3dwiRu8D8kAA.m4ZXUeE8QuEZsRu2VOErccHY
 uZg2oUClRbO4DTJnDK.4zZoQpH_Gmy4IQvAFWgeJWoIFOPgnKJoHZKW1P60cbCd3prccGdMiTOCA
 nQqlXnsCXPCVB7jl49SLy3UrCCDSMzQJ5u4RghHMhrrAjg5TLHZuAGVTeuC36KcoH9JNjKeLZrBp
 SFG5gtWmKKQGI9NaQTRehzwHYTCRy9UnHhHw.XRrs1CKK_yhjwVWZyACxBGX_pp8S9MLJediddHC
 AnV8dc45cfqD.BDCXWmSeo4SjUI5mE0nk6T7MfDhpW8CqxHEO3zlesZWkUVbyl9gY6q6oIRnW1ZU
 U1ysGku_.xseyjv_BBmGAe2tWBITBPv8dAbPbnJlGInN_vBjYSAO2R5adCHwD31XZG6k.QQ6AYhE
 ale.JJaEuQRX.aKO8fM1nylZS_rNhyCRUUJ1RQwOynYbQs3UxZhs9mTPO0g77_nUYyfA11KW82x9
 4tkw9SlM2i2MQ4ItNbhGJjj7lCG2XgZEqhNi1UJ.Al5wEFPc0XYlAfKxuPZiICDU4F1xRF0ei5tS
 lVjFtGGdf95_zHSjRRY4jTk6F27J3376GdFeKT623Zr9dMVOMzzW2bqGyVJeiDpH_9Bxb2oRwZpI
 tO3E58i.l.L.GHU2tATgDldy5vpLps0U1rNmbny4_Q2YNmDKsVLDMIHglahlojbKVGop7qaVyXH6
 BC9zcLWGZhLA-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Tue, 13 Sep 2022 02:31:02 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-nbhdn (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 53e123123f7b4bc973903ad82a78b16d; 
 Tue, 13 Sep 2022 02:30:58 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Tom Hughes <tom@HIDDEN>
Subject: Re: bug#51002: 28.0.50; [feature/pgtk] Some keypad keys handled as
 normal keys with pgtk
References: <87v92d9qbv.fsf@HIDDEN> <87leqoanuw.fsf@HIDDEN>
 <f5577a39-2fa9-a156-dc02-c16ad59e21c9@HIDDEN>
Date: Tue, 13 Sep 2022 10:30:50 +0800
In-Reply-To: <f5577a39-2fa9-a156-dc02-c16ad59e21c9@HIDDEN> (Tom Hughes's
 message of "Mon, 12 Sep 2022 17:28:10 +0100")
Message-ID: <87bkrk2eg5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20612
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 317
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, control <at> debbugs.gnu.org,
 51002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 51002 53200
thanks

Tom Hughes <tom@HIDDEN> writes:

> This still seems to happen on master, yes.

This is yet another GTK input method module problem.  You can disable
input methods with

  (pgtk-use-im-context nil)

for the time being, and in the long term, complain to the ibus or fcitx
developers.




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Mon, 07 Nov 2022 12:24:04 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Nov 2022 08:32:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 03:32:35 2022
Received: from localhost ([127.0.0.1]:57148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oy7et-0007J2-AY
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 03:32:35 -0500
Received: from mail-lf1-f48.google.com ([209.85.167.48]:38518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daanturo@HIDDEN>) id 1oy7eo-0007Ij-OU
 for control <at> debbugs.gnu.org; Thu, 24 Nov 2022 03:32:34 -0500
Received: by mail-lf1-f48.google.com with SMTP id g7so1483721lfv.5
 for <control <at> debbugs.gnu.org>; Thu, 24 Nov 2022 00:32:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=3bIX2e+nz2hIivLa3RkMcfLnc+DWKZjYBR4rctY1VBM=;
 b=Sdi+2KpZ0SmpBaSIlKC7yTCa6sC5aR6OhLlfKbQ3cqmVuIBue9s1E9g5zcJ8H0lKml
 oWGfntHVSPm7Br3GHUHGdlFlyBG6K8SFleQ0aazhx/5lQMidc2wmCn6d2pNDYSpEE08E
 iBb17yd3/V15icgO1jIj/WVmiDNwcyatbuvHeM/8WK/201Hfxo6c0deVBICgiLFAaC7z
 kr7spT+42wVPoGfbXL+466g7qcjTV7nxtykkMBuHS42zIKg/SXPzb+5zRk30niLLVAHW
 zQGx5z7dlwZayXOKjPnkBRXt3OzTvFiLCXJS1/ETLs/1XjFbA3ST2z9QYdHmD1+0bT2l
 poqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=3bIX2e+nz2hIivLa3RkMcfLnc+DWKZjYBR4rctY1VBM=;
 b=ruwiHmizG3jnQJ+vDgT8krAPkKzMMCxvHjVz5IryooToXVe8dPza79xVg5EEHQEW8i
 RSGlV1m1eHfVuj9Ir+EoKb8Sav0Klojb/6By9Hgij7GB6hBfL1JhGkuEyQS/E5zg+Bf5
 olvSExl76LHBmy8axwfzgYiJYMUJC3IrKGkyV8Gi3YGabZ4XFv3DSCJdrM/rH3LMIPLC
 OAQfGvjURNGYoLz4W+WUfYFnSh8FyTTBitXygS9j6JbWBCiIfBK603wx6W+r2n7b1ON5
 FszPgIHkDWoILOiaXmrAUMJPQI746UqKw3yOVLpTkKhaXIaAahaFMPN8ZBac7d3LYhIB
 qHTg==
X-Gm-Message-State: ANoB5pl0C7SQFPMkRGekWejeU16ny/+hWhV6e6nrzLc2i9K/Gc7MVC6R
 3f8fIJld0Xj/MtLPC32oPllKTobKCRppEoD8JcffJTPsnT4J6w==
X-Google-Smtp-Source: AA0mqf4KwGWL+VQW9dV3kn6MOjedGXCGMZxHlidsba7pWsgH+NkAr/DXeNU00e48X6qOaG0cXN4jCt4nU72Lr/AuHkQ=
X-Received: by 2002:a19:6a14:0:b0:4b4:e24d:c617 with SMTP id
 u20-20020a196a14000000b004b4e24dc617mr3421022lfu.61.1669278744062; Thu, 24
 Nov 2022 00:32:24 -0800 (PST)
MIME-Version: 1.0
From: Daan Ro <daanturo@HIDDEN>
Date: Thu, 24 Nov 2022 15:32:12 +0700
Message-ID: <CAGNN0nDAbAbRef_CC4oJ1RGeuYJHJi2r8=9bSYWhE=w7Gj5MUQ@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000092307405ee333eb8"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  unarchive 55362 -- Daanturo. unarchive 55362 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (daanturo[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.48 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.48 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 TVD_SPACE_RATIO        No description available.
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--00000000000092307405ee333eb8
Content-Type: text/plain; charset="UTF-8"

unarchive 55362

-- 
Daanturo.

--00000000000092307405ee333eb8
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">unarchive 55362<br clear="all"><br>-- <br><div dir="ltr" class="gmail_signature" data-smartmail="gmail_signature"><div dir="ltr">Daanturo.<br></div></div></div>

--00000000000092307405ee333eb8--





Last modified: Thu, 24 Nov 2022 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.